"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Address = void 0;
const request_wrapper_1 = require("../request_wrapper");
const model_1 = require("./model");
const chargebee_1 = require("../chargebee");
class Address extends model_1.Model {
    // OPERATIONS
    //-----------
    static retrieve(params) {
        return new request_wrapper_1.RequestWrapper([params], {
            'methodName': 'retrieve',
            'httpMethod': 'GET',
            'urlPrefix': '/addresses',
            'urlSuffix': null,
            'hasIdInUrl': false,
            'isListReq': false,
            'subDomain': null,
            'isOperationNeedsJsonInput': false,
            'jsonKeys': {}
        }, chargebee_1.ChargeBee._env);
    }
    static update(params) {
        return new request_wrapper_1.RequestWrapper([params], {
            'methodName': 'update',
            'httpMethod': 'POST',
            'urlPrefix': '/addresses',
            'urlSuffix': null,
            'hasIdInUrl': false,
            'isListReq': false,
            'subDomain': null,
            'isOperationNeedsJsonInput': false,
            'jsonKeys': {}
        }, chargebee_1.ChargeBee._env);
    }
} // ~Address
exports.Address = Address;
