import { Model } from "./model";
export declare class AdvanceInvoiceSchedule extends Model {
    id: string;
    schedule_type?: string;
    fixed_interval_schedule?: FixedIntervalSchedule;
    specific_dates_schedule?: SpecificDatesSchedule;
}
export declare class FixedIntervalSchedule extends Model {
    end_schedule_on?: string;
    number_of_occurrences?: number;
    days_before_renewal?: number;
    end_date?: number;
    created_at: number;
    terms_to_charge?: number;
}
export declare class SpecificDatesSchedule extends Model {
    terms_to_charge?: number;
    date?: number;
    created_at: number;
}
export declare namespace _advance_invoice_schedule {
}
