import { RequestWrapper } from "../request_wrapper";
import { Model } from "./model";
export declare class CsvTaxRule extends Model {
    tax_profile_name?: string;
    country?: string;
    state?: string;
    zip_code?: string;
    zip_code_start?: number;
    zip_code_end?: number;
    tax1_name: string;
    tax1_rate: number;
    tax1_juris_type?: string;
    tax1_juris_name?: string;
    tax1_juris_code?: string;
    tax2_name?: string;
    tax2_rate?: number;
    tax2_juris_type?: string;
    tax2_juris_name?: string;
    tax2_juris_code?: string;
    tax3_name?: string;
    tax3_rate?: number;
    tax3_juris_type?: string;
    tax3_juris_name?: string;
    tax3_juris_code?: string;
    tax4_name?: string;
    tax4_rate?: number;
    tax4_juris_type?: string;
    tax4_juris_name?: string;
    tax4_juris_code?: string;
    status?: string;
    time_zone?: string;
    valid_from?: number;
    valid_till?: number;
    service_type?: string;
    rule_weight?: number;
    overwrite: boolean;
    static create(params?: _csv_tax_rule.create_params): RequestWrapper;
}
export declare namespace _csv_tax_rule {
    interface create_params {
        tax_profile_name?: string;
        country?: string;
        state?: string;
        zip_code?: string;
        zip_code_start?: number;
        zip_code_end?: number;
        tax1_name?: string;
        tax1_rate?: number;
        tax1_juris_type?: string;
        tax1_juris_name?: string;
        tax1_juris_code?: string;
        tax2_name?: string;
        tax2_rate?: number;
        tax2_juris_type?: string;
        tax2_juris_name?: string;
        tax2_juris_code?: string;
        tax3_name?: string;
        tax3_rate?: number;
        tax3_juris_type?: string;
        tax3_juris_name?: string;
        tax3_juris_code?: string;
        tax4_name?: string;
        tax4_rate?: number;
        tax4_juris_type?: string;
        tax4_juris_name?: string;
        tax4_juris_code?: string;
        service_type?: string;
        time_zone?: string;
        valid_from?: number;
        valid_till?: number;
        overwrite?: boolean;
    }
}
