import { ListResult } from '../list_result';
import { RequestWrapper } from "../request_wrapper";
import { Model } from "./model";
export declare class EntitlementOverride extends Model {
    id: string;
    entity_id?: string;
    entity_type?: string;
    feature_id?: string;
    feature_name?: string;
    value?: string;
    name?: string;
    expires_at?: number;
    effective_from?: number;
    schedule_status?: string;
    static add_entitlement_override_for_subscription(subscription_id: string, params?: _entitlement_override.add_entitlement_override_for_subscription_params): RequestWrapper;
    static list_entitlement_override_for_subscription(subscription_id: string, params?: _entitlement_override.entitlement_override_list_entitlement_override_for_subscription_params): RequestWrapper<ListResult>;
}
export declare namespace _entitlement_override {
    interface add_entitlement_override_for_subscription_params {
        action?: string;
        entitlement_overrides?: Array<entitlement_overrides_add_entitlement_override_for_subscription_params>;
    }
    interface entitlement_override_list_entitlement_override_for_subscription_params {
        limit?: number;
        offset?: string;
        /**
         * @deprecated Please refer API docs to use other attributes
         */
        embed?: string;
        /**
         * @deprecated Please refer API docs to use other attributes
         */
        include_drafts?: boolean;
        /**
         * @deprecated Please refer API docs to use other attributes
         */
        include_scheduled_overrides?: boolean;
    }
    interface entitlement_overrides_add_entitlement_override_for_subscription_params {
        feature_id: string;
    }
    interface entitlement_overrides_add_entitlement_override_for_subscription_params {
        value?: string;
    }
    interface entitlement_overrides_add_entitlement_override_for_subscription_params {
        expires_at?: number;
    }
    interface entitlement_overrides_add_entitlement_override_for_subscription_params {
        effective_from?: number;
    }
}
