import { RequestWrapper } from "../request_wrapper";
import { Model } from "./model";
export declare class NonSubscription extends Model {
    app_id: string;
    invoice_id: string;
    customer_id?: string;
    charge_id: string;
    static process_receipt(non_subscription_id: string, params?: _non_subscription.process_receipt_params): RequestWrapper;
}
export declare namespace _non_subscription {
    interface process_receipt_params {
        receipt: string;
        product?: product_process_receipt_params;
        customer?: customer_process_receipt_params;
    }
    interface product_process_receipt_params {
        id: string;
    }
    interface product_process_receipt_params {
        currency_code: string;
    }
    interface product_process_receipt_params {
        price: number;
    }
    interface product_process_receipt_params {
        type: string;
    }
    interface product_process_receipt_params {
        name?: string;
    }
    interface product_process_receipt_params {
        price_in_decimal?: string;
    }
    interface customer_process_receipt_params {
        id?: string;
    }
    interface customer_process_receipt_params {
        email?: string;
    }
    interface customer_process_receipt_params {
        first_name?: string;
    }
    interface customer_process_receipt_params {
        last_name?: string;
    }
}
