"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NonSubscription = void 0;
const request_wrapper_1 = require("../request_wrapper");
const model_1 = require("./model");
const chargebee_1 = require("../chargebee");
class NonSubscription extends model_1.Model {
    // OPERATIONS
    //-----------
    static process_receipt(non_subscription_id, params) {
        return new request_wrapper_1.RequestWrapper([non_subscription_id, params], {
            'methodName': 'process_receipt',
            'httpMethod': 'POST',
            'urlPrefix': '/non_subscriptions',
            'urlSuffix': '/one_time_purchase',
            'hasIdInUrl': true,
            'isListReq': false,
            'subDomain': null,
            'isOperationNeedsJsonInput': false,
            'jsonKeys': {}
        }, chargebee_1.ChargeBee._env);
    }
} // ~NonSubscription
exports.NonSubscription = NonSubscription;
