"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkedItem = exports.UpcomingRenewal = exports.OmnichannelSubscriptionItem = void 0;
const request_wrapper_1 = require("../request_wrapper");
const model_1 = require("./model");
const chargebee_1 = require("../chargebee");
class OmnichannelSubscriptionItem extends model_1.Model {
    // OPERATIONS
    //-----------
    static list_omni_sub_item_schedule_changes(omnichannel_subscription_item_id, params) {
        return new request_wrapper_1.RequestWrapper([omnichannel_subscription_item_id, params], {
            'methodName': 'list_omni_sub_item_schedule_changes',
            'httpMethod': 'GET',
            'urlPrefix': '/omnichannel_subscription_items',
            'urlSuffix': '/scheduled_changes',
            'hasIdInUrl': true,
            'isListReq': true,
            'subDomain': null,
            'isOperationNeedsJsonInput': false,
            'jsonKeys': {}
        }, chargebee_1.ChargeBee._env);
    }
} // ~OmnichannelSubscriptionItem
exports.OmnichannelSubscriptionItem = OmnichannelSubscriptionItem;
class UpcomingRenewal extends model_1.Model {
} // ~UpcomingRenewal
exports.UpcomingRenewal = UpcomingRenewal;
class LinkedItem extends model_1.Model {
} // ~LinkedItem
exports.LinkedItem = LinkedItem;
