import { Model } from "./model";
export declare class PaymentSchedule extends Model {
    id: string;
    scheme_id: string;
    entity_type: string;
    entity_id: string;
    amount?: number;
    created_at: number;
    resource_version?: number;
    updated_at?: number;
    currency_code?: string;
    schedule_entries?: Array<ScheduleEntry>;
}
export declare class ScheduleEntry extends Model {
    id: string;
    date: number;
    amount: number;
    status: string;
}
export declare namespace _payment_schedule {
}
