import { Model } from "./model";
export declare class PaymentScheduleEstimate extends Model {
    id: string;
    scheme_id: string;
    entity_type: string;
    entity_id?: string;
    amount: number;
    currency_code?: string;
    schedule_entries?: Array<ScheduleEntry>;
}
export declare class ScheduleEntry extends Model {
    id: string;
    date: number;
    amount: number;
    status: string;
}
export declare namespace _payment_schedule_estimate {
}
