import { RequestWrapper } from "../request_wrapper";
import { Model } from "./model";
export declare class ResourceMigration extends Model {
    from_site: string;
    entity_type: string;
    entity_id: string;
    status: string;
    errors?: string;
    created_at: number;
    updated_at: number;
    static retrieve_latest(params?: _resource_migration.retrieve_latest_params): RequestWrapper;
}
export declare namespace _resource_migration {
    interface retrieve_latest_params {
        from_site: string;
        entity_type: string;
        entity_id: string;
    }
}
