"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Rule = void 0;
const request_wrapper_1 = require("../request_wrapper");
const model_1 = require("./model");
const chargebee_1 = require("../chargebee");
class Rule extends model_1.Model {
    // OPERATIONS
    //-----------
    static retrieve(rule_id, params) {
        return new request_wrapper_1.RequestWrapper([rule_id, params], {
            'methodName': 'retrieve',
            'httpMethod': 'GET',
            'urlPrefix': '/rules',
            'urlSuffix': null,
            'hasIdInUrl': true,
            'isListReq': false,
            'subDomain': null,
            'isOperationNeedsJsonInput': false,
            'jsonKeys': {}
        }, chargebee_1.ChargeBee._env);
    }
} // ~Rule
exports.Rule = Rule;
