import { ListResult } from '../list_result';
import { RequestWrapper } from "../request_wrapper";
import { Model } from "./model";
import { filter } from "../filter";
export declare class SiteMigrationDetail extends Model {
    entity_id: string;
    other_site_name: string;
    entity_id_at_other_site: string;
    migrated_at: number;
    entity_type: string;
    status: string;
    static list(params?: _site_migration_detail.site_migration_detail_list_params): RequestWrapper<ListResult>;
}
export declare namespace _site_migration_detail {
    interface site_migration_detail_list_params {
        limit?: number;
        offset?: string;
        entity_id_at_other_site?: filter._string;
        other_site_name?: filter._string;
        entity_id?: filter._string;
        entity_type?: filter._enum;
        status?: filter._enum;
    }
}
