"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiteMigrationDetail = void 0;
const request_wrapper_1 = require("../request_wrapper");
const model_1 = require("./model");
const chargebee_1 = require("../chargebee");
class SiteMigrationDetail extends model_1.Model {
    // OPERATIONS
    //-----------
    static list(params) {
        return new request_wrapper_1.RequestWrapper([params], {
            'methodName': 'list',
            'httpMethod': 'GET',
            'urlPrefix': '/site_migration_details',
            'urlSuffix': null,
            'hasIdInUrl': false,
            'isListReq': true,
            'subDomain': null,
            'isOperationNeedsJsonInput': false,
            'jsonKeys': {}
        }, chargebee_1.ChargeBee._env);
    }
} // ~SiteMigrationDetail
exports.SiteMigrationDetail = SiteMigrationDetail;
