import { RequestWrapper } from "../request_wrapper";
import { Model } from "./model";
export declare class Address extends Model {
    label: string;
    first_name?: string;
    last_name?: string;
    email?: string;
    company?: string;
    phone?: string;
    addr?: string;
    extended_addr?: string;
    extended_addr2?: string;
    city?: string;
    state_code?: string;
    state?: string;
    country?: string;
    zip?: string;
    validation_status?: string;
    subscription_id: string;
    static retrieve(params?: _address.retrieve_params): RequestWrapper;
    static update(params?: _address.update_params): RequestWrapper;
}
export declare namespace _address {
    interface retrieve_params {
        subscription_id: string;
        label: string;
    }
    interface update_params {
        subscription_id: string;
        label: string;
        first_name?: string;
        last_name?: string;
        email?: string;
        company?: string;
        phone?: string;
        addr?: string;
        extended_addr?: string;
        extended_addr2?: string;
        city?: string;
        state_code?: string;
        state?: string;
        zip?: string;
        country?: string;
        validation_status?: string;
    }
}
