import { ListResult } from '../list_result';
import { RequestWrapper } from "../request_wrapper";
import { Model } from "./model";
import { filter } from "../filter";
export declare class CouponCode extends Model {
    code: string;
    status: string;
    coupon_id: string;
    coupon_set_id: string;
    coupon_set_name: string;
    static create(params?: _coupon_code.create_params): RequestWrapper;
    static retrieve(coupon_code_id: string, params?: any): RequestWrapper;
    static list(params?: _coupon_code.coupon_code_list_params): RequestWrapper<ListResult>;
    static archive(coupon_code_id: string, params?: any): RequestWrapper;
}
export declare namespace _coupon_code {
    interface create_params {
        coupon_id: string;
        coupon_set_name: string;
        code: string;
    }
    interface coupon_code_list_params {
        limit?: number;
        offset?: string;
        code?: filter._string;
        coupon_id?: filter._string;
        coupon_set_name?: filter._string;
        status?: filter._enum;
    }
}
