"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CsvTaxRule = void 0;
const request_wrapper_1 = require("../request_wrapper");
const model_1 = require("./model");
const chargebee_1 = require("../chargebee");
class CsvTaxRule extends model_1.Model {
    // OPERATIONS
    //-----------
    static create(params) {
        return new request_wrapper_1.RequestWrapper([params], {
            'methodName': 'create',
            'httpMethod': 'POST',
            'urlPrefix': '/csv_tax_rules',
            'urlSuffix': null,
            'hasIdInUrl': false,
            'isListReq': false,
        }, chargebee_1.ChargeBee._env);
    }
} // ~CsvTaxRule
exports.CsvTaxRule = CsvTaxRule;
