"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceMigration = void 0;
const request_wrapper_1 = require("../request_wrapper");
const model_1 = require("./model");
const chargebee_1 = require("../chargebee");
class ResourceMigration extends model_1.Model {
    // OPERATIONS
    //-----------
    static retrieve_latest(params) {
        return new request_wrapper_1.RequestWrapper([params], {
            'methodName': 'retrieve_latest',
            'httpMethod': 'GET',
            'urlPrefix': '/resource_migrations',
            'urlSuffix': '/retrieve_latest',
            'hasIdInUrl': false,
            'isListReq': false,
            'subDomain': null,
            'isOperationNeedsJsonInput': false,
            'jsonKeys': {}
        }, chargebee_1.ChargeBee._env);
    }
} // ~ResourceMigration
exports.ResourceMigration = ResourceMigration;
