import { Model } from "./model";
export declare class SubscriptionEstimate extends Model {
    id?: string;
    currency_code: string;
    status?: string;
    trial_end_action?: string;
    next_billing_at?: number;
    pause_date?: number;
    resume_date?: number;
    shipping_address?: ShippingAddress;
    contract_term?: ContractTerm;
}
export declare class ShippingAddress extends Model {
    first_name?: string;
    last_name?: string;
    email?: string;
    company?: string;
    phone?: string;
    line1?: string;
    line2?: string;
    line3?: string;
    city?: string;
    state_code?: string;
    state?: string;
    country?: string;
    zip?: string;
    validation_status?: string;
    index: number;
}
export declare class ContractTerm extends Model {
    id: string;
    status: string;
    contract_start: number;
    contract_end: number;
    billing_cycle: number;
    action_at_term_end: string;
    total_contract_value: number;
    total_contract_value_before_tax: number;
    cancellation_cutoff_period?: number;
    created_at: number;
    subscription_id: string;
    remaining_billing_cycles?: number;
}
export declare namespace _subscription_estimate {
}
