import { RequestWrapper } from "../request_wrapper";
import { Model } from "./model";
export declare class UsageEvent extends Model {
    subscription_id: string;
    deduplication_id: string;
    usage_timestamp: number;
    properties: any;
    static create(params?: _usage_event.create_params): RequestWrapper;
    static batch_ingest(params?: _usage_event.batch_ingest_params): RequestWrapper;
}
export declare namespace _usage_event {
    interface create_params {
        deduplication_id: string;
        subscription_id: string;
        usage_timestamp: number;
        properties: any;
    }
    interface batch_ingest_params {
        events?: Array<events_batch_ingest_params>;
    }
    interface events_batch_ingest_params {
        deduplication_id: string;
    }
    interface events_batch_ingest_params {
        subscription_id: string;
    }
    interface events_batch_ingest_params {
        usage_timestamp: number;
    }
    interface events_batch_ingest_params {
        properties: any;
    }
}
